Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_19.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_19.csv	(revision 17445)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_19.csv	(revision 17445)
@@ -0,0 +1,95 @@
+code,faculty_code,department_code,tuition,edohis,union,access,sport,library,nuga
+CERT1,FAG,ANS,184000,16000,30000,4500,3000,1000,1000
+BAGRANS,FAG,ANS,106700,16000,1000,4500,3000,1000,1000
+BAGRCRS,FAG,CRS,106700,16000,1000,4500,3000,1000,1000
+BAGREES,FAG,EES,106700,16000,1000,4500,3000,1000,1000
+BAGRSOS,FAG,SOS,106700,16000,1000,4500,3000,1000,1000
+BAENG,FAT,ENG,90950,16000,1000,4500,3000,1000,1000
+BAFRN,FAT,FRN,90950,16000,1000,4500,3000,1000,1000
+BAHIS,FAT,HIS,90950,16000,1000,4500,3000,1000,1000
+BAISD,FAT,HIS,90950,16000,1000,4500,3000,1000,1000
+BAMAC,FAT,MAC,90950,16000,1000,4500,3000,1000,1000
+BAPHI,FAT,PHI,90950,16000,1000,4500,3000,1000,1000
+BARCS,FAT,RCS,90950,16000,1000,4500,3000,1000,1000
+BARST,FAT,RCS,90950,16000,1000,4500,3000,1000,1000
+BATMA,FAT,TMA,90950,16000,1000,4500,3000,1000,1000
+BSCANA,FBM,ANA,123700,16000,1000,4500,3000,1000,1000
+BMLS,FBM,MLS,123700,16000,1000,4500,3000,1000,1000
+BMLSCHMP,FBM,MLS,123700,16000,1000,4500,3000,1000,1000
+BMLSHBTS,FBM,MLS,123700,16000,1000,4500,3000,1000,1000
+BMLSHIST,FBM,MLS,123700,16000,1000,4500,3000,1000,1000
+BMLSMMCB,FBM,MLS,123700,16000,1000,4500,3000,1000,1000
+BSCNSG,FBM,NSG,123700,16000,1000,4500,3000,1000,1000
+BSCPHS,FBM,PHS,140500,16000,1000,4500,3000,1000,1000
+BSCPYS,FBM,PYS,106700,16000,1000,4500,3000,1000,1000
+MBBS,FCS,MED,154700,16000,1000,4500,3000,1000,1000
+BEDACC,FED,BED,106700,16000,1000,4500,3000,1000,1000
+BEDOTM,FED,BED,106700,16000,1000,4500,3000,1000,1000
+BEDSEC,FED,BED,106700,16000,1000,4500,3000,1000,1000
+BEDBIO,FED,CAI,106700,16000,1000,4500,3000,1000,1000
+BEDCHM,FED,CAI,106700,16000,1000,4500,3000,1000,1000
+BEDCSC,FED,CAI,106700,16000,1000,4500,3000,1000,1000
+BEDENG,FED,CAI,106700,16000,1000,4500,3000,1000,1000
+BEDFRN,FED,CAI,106700,16000,1000,4500,3000,1000,1000
+BEDMTH,FED,CAI,106700,16000,1000,4500,3000,1000,1000
+BEDPHY,FED,CAI,106700,16000,1000,4500,3000,1000,1000
+BEDPPE,FED,CAI,106700,16000,1000,4500,3000,1000,1000
+BEDSSE,FED,CAI,106700,16000,1000,4500,3000,1000,1000
+CAI,FED,CAI,106700,16000,1000,4500,3000,1000,1000
+BEDEDM,FED,EFM,106700,16000,1000,4500,3000,1000,1000
+BEDHIS,FED,EFM,106700,16000,1000,4500,3000,1000,1000
+BEDRSE,FED,EFM,106700,16000,1000,4500,3000,1000,1000
+EFM,FED,EFM,106700,16000,1000,4500,3000,1000,1000
+BEDECO,FED,GAC,106700,16000,1000,4500,3000,1000,1000
+BEDGAC,FED,GAC,106700,16000,1000,4500,3000,1000,1000
+BEDGEO,FED,GAC,106700,16000,1000,4500,3000,1000,1000
+BEDPOL,FED,GAC,106700,16000,1000,4500,3000,1000,1000
+BEDHED,FED,HKH,106700,16000,1000,4500,3000,1000,1000
+BEDHKE,FED,HKH,106700,16000,1000,4500,3000,1000,1000
+BEDPHE,FED,HKH,106700,16000,1000,4500,3000,1000,1000
+BSCLIS,FED,LIS,106700,16000,1000,4500,3000,1000,1000
+BEDAGR,FED,VTE,106700,16000,1000,4500,3000,1000,1000
+BEDHECO,FED,VTE,106700,16000,1000,4500,3000,1000,1000
+BEDTEC,FED,VTE,106700,16000,1000,4500,3000,1000,1000
+VTE,FED,VTE,106700,16000,1000,4500,3000,1000,1000
+BSCARC,FES,ARC,117200,16000,1000,4500,3000,1000,1000
+BSCBLD,FES,BLD,117200,16000,1000,4500,3000,1000,1000
+BFA,FES,FAA,90950,16000,1000,4500,3000,1000,1000
+BFAGRH,FES,FAA,90950,16000,1000,4500,3000,1000,1000
+BFAPNT,FES,FAA,90950,16000,1000,4500,3000,1000,1000
+BFASC,FES,FAA,90950,16000,1000,4500,3000,1000,1000
+BFATD,FES,FAA,90950,16000,1000,4500,3000,1000,1000
+BSCFAA,FES,FAA,90950,16000,1000,4500,3000,1000,1000
+BSCGEM,FES,GEM,90950,16000,1000,4500,3000,1000,1000
+BSCGRP,FES,GEM,90950,16000,1000,4500,3000,1000,1000
+BENGAGE,FET,AGE,151000,16000,1000,4500,3000,1000,1000
+BENGCIE,FET,CIE,117200,16000,1000,4500,3000,1000,1000
+BENGELE,FET,ELE,117200,16000,1000,4500,3000,1000,1000
+BENGIPE,FET,IPE,117200,16000,1000,4500,3000,1000,1000
+BENGMPE,FET,IPE,117200,16000,1000,4500,3000,1000,1000
+BENGPE,FET,IPE,117200,16000,1000,4500,3000,1000,1000
+BENGMEE,FET,MEE,117200,16000,1000,4500,3000,1000,1000
+BENGMME,FET,MME,117200,16000,1000,4500,3000,1000,1000
+BSCBCH,FLS,BCH,106700,16000,1000,4500,3000,1000,1000
+BSCBOT,FLS,BOT,106700,16000,1000,4500,3000,1000,1000
+BSCHND,FLS,HND,106700,16000,1000,4500,3000,1000,1000
+BSCMCB,FLS,MCB,117200,16000,1000,4500,3000,1000,1000
+BSCPSB,FLS,PSB,140500,16000,1000,4500,3000,1000,1000
+BSCZOO,FLS,ZOO,106700,16000,1000,4500,3000,1000,1000
+LLB,FLW,LAW,123700,16000,1000,4500,3000,1000,1000
+BSCACC,FMS,ACC,123700,16000,1000,4500,3000,1000,1000
+BSCBAF,FMS,BAF,104700,16000,1000,4500,3000,1000,1000
+BSCBUS,FMS,BUS,104700,16000,1000,4500,3000,1000,1000
+BSCPUB,FMS,PUB,104700,16000,1000,4500,3000,1000,1000
+BSCCHM,FPS,CHM,106700,16000,1000,4500,3000,1000,1000
+BSCICH,FPS,CHM,106700,16000,1000,4500,3000,1000,1000
+BSCCSC,FPS,CSC,117200,16000,1000,4500,3000,1000,1000
+BSCIMTH,FPS,MTH,106700,16000,1000,4500,3000,1000,1000
+BSCMTH,FPS,MTH,106700,16000,1000,4500,3000,1000,1000
+BSCSTA,FPS,MTH,106700,16000,1000,4500,3000,1000,1000
+BSCAPHY,FPS,PHY,106700,16000,1000,4500,3000,1000,1000
+BSCPHY,FPS,PHY,106700,16000,1000,4500,3000,1000,1000
+BSCECO,FSS,ECO,104700,16000,1000,4500,3000,1000,1000
+BSCPOL,FSS,POL,90950,16000,1000,4500,3000,1000,1000
+BSCPSY,FSS,PSY,90950,16000,1000,4500,3000,1000,1000
+BSCSOC,FSS,SOC,90950,16000,1000,4500,3000,1000,1000
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_20.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_20.csv	(revision 17445)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_20.csv	(revision 17445)
@@ -0,0 +1,94 @@
+code,faculty_code,department_code,tuition,edohis,union,access,sport,library,nuga
+BAGRANS,FAG,ANS,110700,16000,1000,4500,3000,1000,1000
+BAGRCRS,FAG,CRS,110700,16000,1000,4500,3000,1000,1000
+BAGREES,FAG,EES,110700,16000,1000,4500,3000,1000,1000
+BAGRSOS,FAG,SOS,110700,16000,1000,4500,3000,1000,1000
+BAENG,FAT,ENG,94950,16000,1000,4500,3000,1000,1000
+BAFRN,FAT,FRN,94950,16000,1000,4500,3000,1000,1000
+BAHIS,FAT,HIS,94950,16000,1000,4500,3000,1000,1000
+BAISD,FAT,HIS,94950,16000,1000,4500,3000,1000,1000
+BAMAC,FAT,MAC,94950,16000,1000,4500,3000,1000,1000
+BAPHI,FAT,PHI,94950,16000,1000,4500,3000,1000,1000
+BARCS,FAT,RCS,94950,16000,1000,4500,3000,1000,1000
+BARST,FAT,RCS,94950,16000,1000,4500,3000,1000,1000
+BATMA,FAT,TMA,94950,16000,1000,4500,3000,1000,1000
+BSCANA,FBM,ANA,127700,16000,1000,4500,3000,1000,1000
+BMLS,FBM,MLS,127700,16000,1000,4500,3000,1000,1000
+BMLSCHMP,FBM,MLS,127700,16000,1000,4500,3000,1000,1000
+BMLSHBTS,FBM,MLS,127700,16000,1000,4500,3000,1000,1000
+BMLSHIST,FBM,MLS,127700,16000,1000,4500,3000,1000,1000
+BMLSMMCB,FBM,MLS,127700,16000,1000,4500,3000,1000,1000
+BSCNSG,FBM,NSG,127700,16000,1000,4500,3000,1000,1000
+BSCPHS,FBM,PHS,140500,16000,1000,4500,3000,1000,1000
+BSCPYS,FBM,PYS,110700,16000,1000,4500,3000,1000,1000
+MBBS,FCS,MED,158700,16000,1000,4500,3000,1000,1000
+BEDACC,FED,BED,110700,16000,1000,4500,3000,1000,1000
+BEDOTM,FED,BED,110700,16000,1000,4500,3000,1000,1000
+BEDSEC,FED,BED,110700,16000,1000,4500,3000,1000,1000
+BEDBIO,FED,CAI,110700,16000,1000,4500,3000,1000,1000
+BEDCHM,FED,CAI,110700,16000,1000,4500,3000,1000,1000
+BEDCSC,FED,CAI,110700,16000,1000,4500,3000,1000,1000
+BEDENG,FED,CAI,110700,16000,1000,4500,3000,1000,1000
+BEDFRN,FED,CAI,110700,16000,1000,4500,3000,1000,1000
+BEDMTH,FED,CAI,110700,16000,1000,4500,3000,1000,1000
+BEDPHY,FED,CAI,110700,16000,1000,4500,3000,1000,1000
+BEDPPE,FED,CAI,110700,16000,1000,4500,3000,1000,1000
+BEDSSE,FED,CAI,110700,16000,1000,4500,3000,1000,1000
+CAI,FED,CAI,110700,16000,1000,4500,3000,1000,1000
+BEDEDM,FED,EFM,110700,16000,1000,4500,3000,1000,1000
+BEDHIS,FED,EFM,110700,16000,1000,4500,3000,1000,1000
+BEDRSE,FED,EFM,110700,16000,1000,4500,3000,1000,1000
+EFM,FED,EFM,110700,16000,1000,4500,3000,1000,1000
+BEDECO,FED,GAC,110700,16000,1000,4500,3000,1000,1000
+BEDGAC,FED,GAC,110700,16000,1000,4500,3000,1000,1000
+BEDGEO,FED,GAC,110700,16000,1000,4500,3000,1000,1000
+BEDPOL,FED,GAC,110700,16000,1000,4500,3000,1000,1000
+BEDHED,FED,HKH,110700,16000,1000,4500,3000,1000,1000
+BEDHKE,FED,HKH,110700,16000,1000,4500,3000,1000,1000
+BEDPHE,FED,HKH,110700,16000,1000,4500,3000,1000,1000
+BSCLIS,FED,LIS,94950,16000,1000,4500,3000,1000,1000
+BEDAGR,FED,VTE,110700,16000,1000,4500,3000,1000,1000
+BEDHECO,FED,VTE,110700,16000,1000,4500,3000,1000,1000
+BEDTEC,FED,VTE,110700,16000,1000,4500,3000,1000,1000
+VTE,FED,VTE,110700,16000,1000,4500,3000,1000,1000
+BSCARC,FES,ARC,121200,16000,1000,4500,3000,1000,1000
+BSCBLD,FES,BLD,121200,16000,1000,4500,3000,1000,1000
+BFA,FES,FAA,94950,16000,1000,4500,3000,1000,1000
+BFAGRH,FES,FAA,94950,16000,1000,4500,3000,1000,1000
+BFAPNT,FES,FAA,94950,16000,1000,4500,3000,1000,1000
+BFASC,FES,FAA,94950,16000,1000,4500,3000,1000,1000
+BFATD,FES,FAA,94950,16000,1000,4500,3000,1000,1000
+BSCFAA,FES,FAA,94950,16000,1000,4500,3000,1000,1000
+BSCGEM,FES,GEM,94950,16000,1000,4500,3000,1000,1000
+BSCGRP,FES,GEM,94950,16000,1000,4500,3000,1000,1000
+BENGAGE,FET,AGE,151000,16000,1000,4500,3000,1000,1000
+BENGCIE,FET,CIE,121200,16000,1000,4500,3000,1000,1000
+BENGELE,FET,ELE,121200,16000,1000,4500,3000,1000,1000
+BENGIPE,FET,IPE,121200,16000,1000,4500,3000,1000,1000
+BENGMPE,FET,IPE,121200,16000,1000,4500,3000,1000,1000
+BENGPE,FET,IPE,121200,16000,1000,4500,3000,1000,1000
+BENGMEE,FET,MEE,121200,16000,1000,4500,3000,1000,1000
+BENGMME,FET,MME,121200,16000,1000,4500,3000,1000,1000
+BSCBCH,FLS,BCH,110700,16000,1000,4500,3000,1000,1000
+BSCBOT,FLS,BOT,110700,16000,1000,4500,3000,1000,1000
+BSCHND,FLS,HND,110700,16000,1000,4500,3000,1000,1000
+BSCMCB,FLS,MCB,121200,16000,1000,4500,3000,1000,1000
+BSCPSB,FLS,PSB,140500,16000,1000,4500,3000,1000,1000
+BSCZOO,FLS,ZOO,110700,16000,1000,4500,3000,1000,1000
+LLB,FLW,LAW,127700,16000,1000,4500,3000,1000,1000
+BSCACC,FMS,ACC,127700,16000,1000,4500,3000,1000,1000
+BSCBAF,FMS,BAF,108700,16000,1000,4500,3000,1000,1000
+BSCBUS,FMS,BUS,108700,16000,1000,4500,3000,1000,1000
+BSCPUB,FMS,PUB,108700,16000,1000,4500,3000,1000,1000
+BSCCHM,FPS,CHM,110700,16000,1000,4500,3000,1000,1000
+BSCICH,FPS,CHM,110700,16000,1000,4500,3000,1000,1000
+BSCCSC,FPS,CSC,121200,16000,1000,4500,3000,1000,1000
+BSCIMTH,FPS,MTH,110700,16000,1000,4500,3000,1000,1000
+BSCMTH,FPS,MTH,110700,16000,1000,4500,3000,1000,1000
+BSCSTA,FPS,MTH,110700,16000,1000,4500,3000,1000,1000
+BSCAPHY,FPS,PHY,110700,16000,1000,4500,3000,1000,1000
+BSCPHY,FPS,PHY,110700,16000,1000,4500,3000,1000,1000
+BSCECO,FSS,ECO,108700,16000,1000,4500,3000,1000,1000
+BSCPOL,FSS,POL,94950,16000,1000,4500,3000,1000,1000
+BSCPSY,FSS,PSY,94950,16000,1000,4500,3000,1000,1000
+BSCSOC,FSS,SOC,94950,16000,1000,4500,3000,1000,1000
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_21.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_21.csv	(revision 17444)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_21.csv	(revision 17445)
@@ -1,4 +1,3 @@
 code,faculty_code,department_code,tuition,edohis,union,access,sport,library,lmsplus,nuga
-CERT1,FAG,ANS,184000,16000,1000,4500,3000,1000,20000,10000
 BAGRANS,FAG,ANS,140500,16000,1000,4500,3000,1000,20000,1000
 BAGRCRS,FAG,CRS,140500,16000,1000,4500,3000,1000,20000,1000
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_22.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_22.csv	(revision 17444)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_22.csv	(revision 17445)
@@ -1,4 +1,3 @@
 code,faculty_code,department_code,tuition,edohis,union,access,notebook,sport,library,lmsplus,nuga
-CERT1,FAG,ANS,184000,16000,1000,4500,9000,3000,1000,20000,1000
 BAGRANS,FAG,ANS,184000,16000,1000,4500,9000,3000,1000,20000,1000
 BAGRCRS,FAG,CRS,184000,16000,1000,4500,9000,3000,1000,20000,1000
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py	(revision 17444)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py	(revision 17445)
@@ -41,4 +41,14 @@
 reader = csv.DictReader(open(schoolfees_path, 'rb'))
 SCHOOLFEES_21 = {item['code']:(item['tuition'], item.values()) for item in reader}
+
+schoolfees_path = os.path.join(
+    os.path.dirname(__file__), 'schoolfees_20.csv')
+reader = csv.DictReader(open(schoolfees_path, 'rb'))
+SCHOOLFEES_20 = {item['code']:(item['tuition'], item.values()) for item in reader}
+
+schoolfees_path = os.path.join(
+    os.path.dirname(__file__), 'schoolfees_19.csv')
+reader = csv.DictReader(open(schoolfees_path, 'rb'))
+SCHOOLFEES_19 = {item['code']:(item['tuition'], item.values()) for item in reader}
 
 acceptancefees_path = os.path.join(
@@ -390,5 +400,9 @@
                 return _('Study course data are incomplete.'), None
             try:
-                if student.entry_session < 2022:
+                if student.entry_session < 2020:
+                    schoolfees = SCHOOLFEES_19[student.certcode]
+                elif student.entry_session < 2021:
+                    schoolfees = SCHOOLFEES_20[student.certcode]
+                elif student.entry_session < 2022:
                     schoolfees = SCHOOLFEES_21[student.certcode]
                 else: