Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_12.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_12.csv	(revision 17446)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_12.csv	(revision 17446)
@@ -0,0 +1,89 @@
+code,faculty_code,department_code,tuition,edohis,union,access,sport,library,waeac
+CERT1,FAG,ANS,184000,16000,30000,4500,3000,1000,1000
+BAGRANS,FAG,ANS,35000,16000,1000,4500,3000,1000,2500
+BAGRCRS,FAG,CRS,35000,16000,1000,4500,3000,1000,2500
+BAGREES,FAG,EES,35000,16000,1000,4500,3000,1000,2500
+BAGRSOS,FAG,SOS,35000,16000,1000,4500,3000,1000,2500
+BAENG,FAT,ENG,28500,16000,1000,4500,3000,1000,2500
+BAFRN,FAT,FRN,28500,16000,1000,4500,3000,1000,2500
+BAHIS,FAT,HIS,28500,16000,1000,4500,3000,1000,2500
+BAISD,FAT,HIS,28500,16000,1000,4500,3000,1000,2500
+BAMAC,FAT,MAC,28500,16000,1000,4500,3000,1000,2500
+BAPHI,FAT,PHI,28500,16000,1000,4500,3000,1000,2500
+BARCS,FAT,RCS,28500,16000,1000,4500,3000,1000,2500
+BARST,FAT,RCS,28500,16000,1000,4500,3000,1000,2500
+BATMA,FAT,TMA,28500,16000,1000,4500,3000,1000,2500
+BMLS,FBM,MLS,41000,16000,1000,4500,3000,1000,2500
+BMLSCHMP,FBM,MLS,41000,16000,1000,4500,3000,1000,2500
+BMLSHBTS,FBM,MLS,41000,16000,1000,4500,3000,1000,2500
+BMLSHIST,FBM,MLS,41000,16000,1000,4500,3000,1000,2500
+BMLSMMCB,FBM,MLS,41000,16000,1000,4500,3000,1000,2500
+BSCNSG,FBM,NSG,41000,16000,1000,4500,3000,1000,2500
+BSCPYS,FBM,PYS,35000,16000,1000,4500,3000,1000,2500
+MBBS,FCS,MED,41000,16000,1000,4500,3000,1000,2500
+BEDACC,FED,BED,35000,16000,1000,4500,3000,1000,2500
+BEDOTM,FED,BED,35000,16000,1000,4500,3000,1000,2500
+BEDSEC,FED,BED,35000,16000,1000,4500,3000,1000,2500
+BEDBIO,FED,CAI,35000,16000,1000,4500,3000,1000,2500
+BEDCHM,FED,CAI,35000,16000,1000,4500,3000,1000,2500
+BEDCSC,FED,CAI,35000,16000,1000,4500,3000,1000,2500
+BEDENG,FED,CAI,35000,16000,1000,4500,3000,1000,2500
+BEDFRN,FED,CAI,35000,16000,1000,4500,3000,1000,2500
+BEDMTH,FED,CAI,35000,16000,1000,4500,3000,1000,2500
+BEDPHY,FED,CAI,35000,16000,1000,4500,3000,1000,2500
+BEDPPE,FED,CAI,35000,16000,1000,4500,3000,1000,2500
+BEDSSE,FED,CAI,35000,16000,1000,4500,3000,1000,2500
+CAI,FED,CAI,35000,16000,1000,4500,3000,1000,2500
+BEDEDM,FED,EFM,35000,16000,1000,4500,3000,1000,2500
+BEDHIS,FED,EFM,35000,16000,1000,4500,3000,1000,2500
+BEDRSE,FED,EFM,35000,16000,1000,4500,3000,1000,2500
+EFM,FED,EFM,35000,16000,1000,4500,3000,1000,2500
+BEDECO,FED,GAC,35000,16000,1000,4500,3000,1000,2500
+BEDGAC,FED,GAC,35000,16000,1000,4500,3000,1000,2500
+BEDGEO,FED,GAC,35000,16000,1000,4500,3000,1000,2500
+BEDPOL,FED,GAC,35000,16000,1000,4500,3000,1000,2500
+BEDHED,FED,HKH,35000,16000,1000,4500,3000,1000,2500
+BEDHKE,FED,HKH,35000,16000,1000,4500,3000,1000,2500
+BEDPHE,FED,HKH,35000,16000,1000,4500,3000,1000,2500
+BSCLIS,FED,LIS,28500,16000,1000,4500,3000,1000,2500
+BEDAGR,FED,VTE,35000,16000,1000,4500,3000,1000,2500
+BEDHECO,FED,VTE,35000,16000,1000,4500,3000,1000,2500
+BEDTEC,FED,VTE,35000,16000,1000,4500,3000,1000,2500
+VTE,FED,VTE,35000,16000,1000,4500,3000,1000,2500
+BSCARC,FES,ARC,39000,16000,1000,4500,3000,1000,2500
+BSCBLD,FES,BLD,39000,16000,1000,4500,3000,1000,2500
+BFA,FES,FAA,28500,16000,1000,4500,3000,1000,2500
+BFAGRH,FES,FAA,28500,16000,1000,4500,3000,1000,2500
+BFAPNT,FES,FAA,28500,16000,1000,4500,3000,1000,2500
+BFASC,FES,FAA,28500,16000,1000,4500,3000,1000,2500
+BFATD,FES,FAA,28500,16000,1000,4500,3000,1000,2500
+BSCFAA,FES,FAA,28500,16000,1000,4500,3000,1000,2500
+BSCGEM,FES,GEM,28500,16000,1000,4500,3000,1000,2500
+BSCGRP,FES,GEM,28500,16000,1000,4500,3000,1000,2500
+BENGCIE,FET,CIE,39000,16000,1000,4500,3000,1000,2500
+BENGELE,FET,ELE,39000,16000,1000,4500,3000,1000,2500
+BENGIPE,FET,IPE,39000,16000,1000,4500,3000,1000,2500
+BENGMPE,FET,IPE,39000,16000,1000,4500,3000,1000,2500
+BENGPE,FET,IPE,39000,16000,1000,4500,3000,1000,2500
+BENGMEE,FET,MEE,39000,16000,1000,4500,3000,1000,2500
+BSCBCH,FLS,BCH,35000,16000,1000,4500,3000,1000,2500
+BSCBOT,FLS,BOT,35000,16000,1000,4500,3000,1000,2500
+BSCMCB,FLS,MCB,39000,16000,1000,4500,3000,1000,2500
+BSCZOO,FLS,ZOO,35000,16000,1000,4500,3000,1000,2500
+LLB,FLW,LAW,41000,16000,1000,4500,3000,1000,2500
+BSCACC,FMS,ACC,41000,16000,1000,4500,3000,1000,2500
+BSCBAF,FMS,BAF,34000,16000,1000,4500,3000,1000,2500
+BSCBUS,FMS,BUS,34000,16000,1000,4500,3000,1000,2500
+BSCPUB,FMS,PUB,34000,16000,1000,4500,3000,1000,2500
+BSCCHM,FPS,CHM,35000,16000,1000,4500,3000,1000,2500
+BSCICH,FPS,CHM,35000,16000,1000,4500,3000,1000,2500
+BSCCSC,FPS,CSC,39000,16000,1000,4500,3000,1000,2500
+BSCIMTH,FPS,MTH,35000,16000,1000,4500,3000,1000,2500
+BSCMTH,FPS,MTH,35000,16000,1000,4500,3000,1000,2500
+BSCSTA,FPS,MTH,35000,16000,1000,4500,3000,1000,2500
+BSCAPHY,FPS,PHY,35000,16000,1000,4500,3000,1000,2500
+BSCPHY,FPS,PHY,35000,16000,1000,4500,3000,1000,2500
+BSCECO,FSS,ECO,34000,16000,1000,4500,3000,1000,2500
+BSCPOL,FSS,POL,28500,16000,1000,4500,3000,1000,2500
+BSCPSY,FSS,PSY,28500,16000,1000,4500,3000,1000,2500
+BSCSOC,FSS,SOC,28500,16000,1000,4500,3000,1000,2500
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_13.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_13.csv	(revision 17446)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_13.csv	(revision 17446)
@@ -0,0 +1,89 @@
+code,faculty_code,department_code,tuition,edohis,union,access,sport,library,waeac
+CERT1,FAG,ANS,184000,16000,30000,4500,3000,1000,1000
+BAGRANS,FAG,ANS,34500,16000,1000,4500,3000,1000,2500
+BAGRCRS,FAG,CRS,34500,16000,1000,4500,3000,1000,2500
+BAGREES,FAG,EES,34500,16000,1000,4500,3000,1000,2500
+BAGRSOS,FAG,SOS,34500,16000,1000,4500,3000,1000,2500
+BAENG,FAT,ENG,28000,16000,1000,4500,3000,1000,2500
+BAFRN,FAT,FRN,28000,16000,1000,4500,3000,1000,2500
+BAHIS,FAT,HIS,28000,16000,1000,4500,3000,1000,2500
+BAISD,FAT,HIS,28000,16000,1000,4500,3000,1000,2500
+BAPHI,FAT,PHI,28000,16000,1000,4500,3000,1000,2500
+BARCS,FAT,RCS,28000,16000,1000,4500,3000,1000,2500
+BARST,FAT,RCS,28000,16000,1000,4500,3000,1000,2500
+BATMA,FAT,TMA,28000,16000,1000,4500,3000,1000,2500
+BMLS,FBM,MLS,40500,16000,1000,4500,3000,1000,2500
+BMLSCHMP,FBM,MLS,40500,16000,1000,4500,3000,1000,2500
+BMLSHBTS,FBM,MLS,40500,16000,1000,4500,3000,1000,2500
+BMLSHIST,FBM,MLS,40500,16000,1000,4500,3000,1000,2500
+BMLSMMCB,FBM,MLS,40500,16000,1000,4500,3000,1000,2500
+BSCNSG,FBM,NSG,40500,16000,1000,4500,3000,1000,2500
+BSCPYS,FBM,PYS,40500,16000,1000,4500,3000,1000,2500
+MBBS,FCS,MED,40500,16000,1000,4500,3000,1000,2500
+BEDACC,FED,BED,34500,16000,1000,4500,3000,1000,2500
+BEDOTM,FED,BED,34500,16000,1000,4500,3000,1000,2500
+BEDSEC,FED,BED,34500,16000,1000,4500,3000,1000,2500
+BEDBIO,FED,CAI,34500,16000,1000,4500,3000,1000,2500
+BEDCHM,FED,CAI,34500,16000,1000,4500,3000,1000,2500
+BEDCSC,FED,CAI,34500,16000,1000,4500,3000,1000,2500
+BEDENG,FED,CAI,34500,16000,1000,4500,3000,1000,2500
+BEDFRN,FED,CAI,34500,16000,1000,4500,3000,1000,2500
+BEDMTH,FED,CAI,34500,16000,1000,4500,3000,1000,2500
+BEDPHY,FED,CAI,34500,16000,1000,4500,3000,1000,2500
+BEDPPE,FED,CAI,34500,16000,1000,4500,3000,1000,2500
+BEDSSE,FED,CAI,34500,16000,1000,4500,3000,1000,2500
+CAI,FED,CAI,34500,16000,1000,4500,3000,1000,2500
+BEDEDM,FED,EFM,34500,16000,1000,4500,3000,1000,2500
+BEDHIS,FED,EFM,34500,16000,1000,4500,3000,1000,2500
+BEDRSE,FED,EFM,34500,16000,1000,4500,3000,1000,2500
+EFM,FED,EFM,34500,16000,1000,4500,3000,1000,2500
+BEDECO,FED,GAC,34500,16000,1000,4500,3000,1000,2500
+BEDGAC,FED,GAC,34500,16000,1000,4500,3000,1000,2500
+BEDGEO,FED,GAC,34500,16000,1000,4500,3000,1000,2500
+BEDPOL,FED,GAC,34500,16000,1000,4500,3000,1000,2500
+BEDHED,FED,HKH,34500,16000,1000,4500,3000,1000,2500
+BEDHKE,FED,HKH,34500,16000,1000,4500,3000,1000,2500
+BEDPHE,FED,HKH,34500,16000,1000,4500,3000,1000,2500
+BSCLIS,FED,LIS,28000,16000,1000,4500,3000,1000,2500
+BEDAGR,FED,VTE,34500,16000,1000,4500,3000,1000,2500
+BEDHECO,FED,VTE,34500,16000,1000,4500,3000,1000,2500
+BEDTEC,FED,VTE,34500,16000,1000,4500,3000,1000,2500
+VTE,FED,VTE,34500,16000,1000,4500,3000,1000,2500
+BSCARC,FES,ARC,38500,16000,1000,4500,3000,1000,2500
+BSCBLD,FES,BLD,38500,16000,1000,4500,3000,1000,2500
+BFA,FES,FAA,28000,16000,1000,4500,3000,1000,2500
+BFAGRH,FES,FAA,28000,16000,1000,4500,3000,1000,2500
+BFAPNT,FES,FAA,28000,16000,1000,4500,3000,1000,2500
+BFASC,FES,FAA,28000,16000,1000,4500,3000,1000,2500
+BFATD,FES,FAA,28000,16000,1000,4500,3000,1000,2500
+BSCFAA,FES,FAA,28000,16000,1000,4500,3000,1000,2500
+BSCGEM,FES,GEM,28000,16000,1000,4500,3000,1000,2500
+BSCGRP,FES,GEM,28000,16000,1000,4500,3000,1000,2500
+BENGCIE,FET,CIE,38500,16000,1000,4500,3000,1000,2500
+BENGELE,FET,ELE,38500,16000,1000,4500,3000,1000,2500
+BENGIPE,FET,IPE,38500,16000,1000,4500,3000,1000,2500
+BENGMPE,FET,IPE,38500,16000,1000,4500,3000,1000,2500
+BENGPE,FET,IPE,38500,16000,1000,4500,3000,1000,2500
+BENGMEE,FET,MEE,38500,16000,1000,4500,3000,1000,2500
+BSCBCH,FLS,BCH,34500,16000,1000,4500,3000,1000,2500
+BSCBOT,FLS,BOT,34500,16000,1000,4500,3000,1000,2500
+BSCHND,FLS,HND,34500,16000,1000,4500,3000,1000,2500
+BSCMCB,FLS,MCB,38500,16000,1000,4500,3000,1000,2500
+BSCZOO,FLS,ZOO,34500,16000,1000,4500,3000,1000,2500
+LLB,FLW,LAW,40500,16000,1000,4500,3000,1000,2500
+BSCACC,FMS,ACC,40500,16000,1000,4500,3000,1000,2500
+BSCBAF,FMS,BAF,33500,16000,1000,4500,3000,1000,2500
+BSCBUS,FMS,BUS,33500,16000,1000,4500,3000,1000,2500
+BSCPUB,FMS,PUB,33500,16000,1000,4500,3000,1000,2500
+BSCCHM,FPS,CHM,34500,16000,1000,4500,3000,1000,2500
+BSCICH,FPS,CHM,34500,16000,1000,4500,3000,1000,2500
+BSCCSC,FPS,CSC,38500,16000,1000,4500,3000,1000,2500
+BSCIMTH,FPS,MTH,34500,16000,1000,4500,3000,1000,2500
+BSCMTH,FPS,MTH,34500,16000,1000,4500,3000,1000,2500
+BSCSTA,FPS,MTH,34500,16000,1000,4500,3000,1000,2500
+BSCAPHY,FPS,PHY,34500,16000,1000,4500,3000,1000,2500
+BSCPHY,FPS,PHY,34500,16000,1000,4500,3000,1000,2500
+BSCECO,FSS,ECO,33500,16000,1000,4500,3000,1000,2500
+BSCPOL,FSS,POL,28000,16000,1000,4500,3000,1000,2500
+BSCPSY,FSS,PSY,28000,16000,1000,4500,3000,1000,2500
+BSCSOC,FSS,SOC,28000,16000,1000,4500,3000,1000,2500
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_14.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_14.csv	(revision 17446)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_14.csv	(revision 17446)
@@ -0,0 +1,88 @@
+code,faculty_code,department_code,tuition,edohis,union,access,sport,library,waeac
+BAGRANS,FAG,ANS,36000,16000,1000,4500,3000,1000,2500
+BAGRCRS,FAG,CRS,36000,16000,1000,4500,3000,1000,2500
+BAGREES,FAG,EES,36000,16000,1000,4500,3000,1000,2500
+BAGRSOS,FAG,SOS,36000,16000,1000,4500,3000,1000,2500
+BAENG,FAT,ENG,29500,16000,1000,4500,3000,1000,2500
+BAFRN,FAT,FRN,29500,16000,1000,4500,3000,1000,2500
+BAHIS,FAT,HIS,29500,16000,1000,4500,3000,1000,2500
+BAISD,FAT,HIS,29500,16000,1000,4500,3000,1000,2500
+BAMAC,FAT,MAC,29500,16000,1000,4500,3000,1000,2500
+BAPHI,FAT,PHI,29500,16000,1000,4500,3000,1000,2500
+BARCS,FAT,RCS,29500,16000,1000,4500,3000,1000,2500
+BARST,FAT,RCS,29500,16000,1000,4500,3000,1000,2500
+BATMA,FAT,TMA,29500,16000,1000,4500,3000,1000,2500
+BMLS,FBM,MLS,42000,16000,1000,4500,3000,1000,2500
+BMLSCHMP,FBM,MLS,42000,16000,1000,4500,3000,1000,2500
+BMLSHBTS,FBM,MLS,42000,16000,1000,4500,3000,1000,2500
+BMLSHIST,FBM,MLS,42000,16000,1000,4500,3000,1000,2500
+BMLSMMCB,FBM,MLS,42000,16000,1000,4500,3000,1000,2500
+BSCNSG,FBM,NSG,42000,16000,1000,4500,3000,1000,2500
+BSCPYS,FBM,PYS,36000,16000,1000,4500,3000,1000,2500
+MBBS,FCS,MED,42000,16000,1000,4500,3000,1000,2500
+BEDACC,FED,BED,36000,16000,1000,4500,3000,1000,2500
+BEDOTM,FED,BED,36000,16000,1000,4500,3000,1000,2500
+BEDSEC,FED,BED,36000,16000,1000,4500,3000,1000,2500
+BEDBIO,FED,CAI,36000,16000,1000,4500,3000,1000,2500
+BEDCHM,FED,CAI,36000,16000,1000,4500,3000,1000,2500
+BEDCSC,FED,CAI,36000,16000,1000,4500,3000,1000,2500
+BEDENG,FED,CAI,36000,16000,1000,4500,3000,1000,2500
+BEDFRN,FED,CAI,36000,16000,1000,4500,3000,1000,2500
+BEDMTH,FED,CAI,36000,16000,1000,4500,3000,1000,2500
+BEDPHY,FED,CAI,36000,16000,1000,4500,3000,1000,2500
+BEDPPE,FED,CAI,36000,16000,1000,4500,3000,1000,2500
+BEDSSE,FED,CAI,36000,16000,1000,4500,3000,1000,2500
+CAI,FED,CAI,36000,16000,1000,4500,3000,1000,2500
+BEDEDM,FED,EFM,36000,16000,1000,4500,3000,1000,2500
+BEDHIS,FED,EFM,36000,16000,1000,4500,3000,1000,2500
+BEDRSE,FED,EFM,36000,16000,1000,4500,3000,1000,2500
+EFM,FED,EFM,36000,16000,1000,4500,3000,1000,2500
+BEDECO,FED,GAC,36000,16000,1000,4500,3000,1000,2500
+BEDGAC,FED,GAC,36000,16000,1000,4500,3000,1000,2500
+BEDGEO,FED,GAC,36000,16000,1000,4500,3000,1000,2500
+BEDPOL,FED,GAC,36000,16000,1000,4500,3000,1000,2500
+BEDHED,FED,HKH,36000,16000,1000,4500,3000,1000,2500
+BEDHKE,FED,HKH,36000,16000,1000,4500,3000,1000,2500
+BEDPHE,FED,HKH,36000,16000,1000,4500,3000,1000,2500
+BSCLIS,FED,LIS,29500,16000,1000,4500,3000,1000,2500
+BEDAGR,FED,VTE,36000,16000,1000,4500,3000,1000,2500
+BEDHECO,FED,VTE,36000,16000,1000,4500,3000,1000,2500
+BEDTEC,FED,VTE,36000,16000,1000,4500,3000,1000,2500
+VTE,FED,VTE,36000,16000,1000,4500,3000,1000,2500
+BSCARC,FES,ARC,40000,16000,1000,4500,3000,1000,2500
+BSCBLD,FES,BLD,40000,16000,1000,4500,3000,1000,2500
+BFA,FES,FAA,29500,16000,1000,4500,3000,1000,2500
+BFAGRH,FES,FAA,29500,16000,1000,4500,3000,1000,2500
+BFAPNT,FES,FAA,29500,16000,1000,4500,3000,1000,2500
+BFASC,FES,FAA,29500,16000,1000,4500,3000,1000,2500
+BFATD,FES,FAA,29500,16000,1000,4500,3000,1000,2500
+BSCFAA,FES,FAA,29500,16000,1000,4500,3000,1000,2500
+BSCGEM,FES,GEM,29500,16000,1000,4500,3000,1000,2500
+BSCGRP,FES,GEM,29500,16000,1000,4500,3000,1000,2500
+BENGCIE,FET,CIE,40000,16000,1000,4500,3000,1000,2500
+BENGELE,FET,ELE,40000,16000,1000,4500,3000,1000,2500
+BENGIPE,FET,IPE,40000,16000,1000,4500,3000,1000,2500
+BENGMPE,FET,IPE,40000,16000,1000,4500,3000,1000,2500
+BENGPE,FET,IPE,40000,16000,1000,4500,3000,1000,2500
+BENGMEE,FET,MEE,40000,16000,1000,4500,3000,1000,2500
+BSCBCH,FLS,BCH,36000,16000,1000,4500,3000,1000,2500
+BSCBOT,FLS,BOT,36000,16000,1000,4500,3000,1000,2500
+BSCMCB,FLS,MCB,40000,16000,1000,4500,3000,1000,2500
+BSCZOO,FLS,ZOO,36000,16000,1000,4500,3000,1000,2500
+LLB,FLW,LAW,42000,16000,1000,4500,3000,1000,2500
+BSCACC,FMS,ACC,42000,16000,1000,4500,3000,1000,2500
+BSCBAF,FMS,BAF,35000,16000,1000,4500,3000,1000,2500
+BSCBUS,FMS,BUS,35000,16000,1000,4500,3000,1000,2500
+BSCPUB,FMS,PUB,35000,16000,1000,4500,3000,1000,2500
+BSCCHM,FPS,CHM,36000,16000,1000,4500,3000,1000,2500
+BSCICH,FPS,CHM,36000,16000,1000,4500,3000,1000,2500
+BSCCSC,FPS,CSC,40000,16000,1000,4500,3000,1000,2500
+BSCIMTH,FPS,MTH,36000,16000,1000,4500,3000,1000,2500
+BSCMTH,FPS,MTH,36000,16000,1000,4500,3000,1000,2500
+BSCSTA,FPS,MTH,36000,16000,1000,4500,3000,1000,2500
+BSCAPHY,FPS,PHY,36000,16000,1000,4500,3000,1000,2500
+BSCPHY,FPS,PHY,36000,16000,1000,4500,3000,1000,2500
+BSCECO,FSS,ECO,35000,16000,1000,4500,3000,1000,2500
+BSCPOL,FSS,POL,29500,16000,1000,4500,3000,1000,2500
+BSCPSY,FSS,PSY,29500,16000,1000,4500,3000,1000,2500
+BSCSOC,FSS,SOC,29500,16000,1000,4500,3000,1000,2500
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py	(revision 17445)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py	(revision 17446)
@@ -51,4 +51,19 @@
 reader = csv.DictReader(open(schoolfees_path, 'rb'))
 SCHOOLFEES_19 = {item['code']:(item['tuition'], item.values()) for item in reader}
+
+schoolfees_path = os.path.join(
+    os.path.dirname(__file__), 'schoolfees_14.csv')
+reader = csv.DictReader(open(schoolfees_path, 'rb'))
+SCHOOLFEES_14 = {item['code']:(item['tuition'], item.values()) for item in reader}
+
+schoolfees_path = os.path.join(
+    os.path.dirname(__file__), 'schoolfees_13.csv')
+reader = csv.DictReader(open(schoolfees_path, 'rb'))
+SCHOOLFEES_13 = {item['code']:(item['tuition'], item.values()) for item in reader}
+
+schoolfees_path = os.path.join(
+    os.path.dirname(__file__), 'schoolfees_12.csv')
+reader = csv.DictReader(open(schoolfees_path, 'rb'))
+SCHOOLFEES_12 = {item['code']:(item['tuition'], item.values()) for item in reader}
 
 acceptancefees_path = os.path.join(
@@ -400,5 +415,11 @@
                 return _('Study course data are incomplete.'), None
             try:
-                if student.entry_session < 2020:
+                if student.entry_session < 2013:
+                    schoolfees = SCHOOLFEES_12[student.certcode]
+                elif student.entry_session < 2014:
+                    schoolfees = SCHOOLFEES_13[student.certcode]
+                elif student.entry_session < 2015:
+                    schoolfees = SCHOOLFEES_14[student.certcode]
+                elif student.entry_session < 2020:
                     schoolfees = SCHOOLFEES_19[student.certcode]
                 elif student.entry_session < 2021: