Index: main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/browser.py
===================================================================
--- main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/browser.py	(revision 17460)
+++ main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/browser.py	(revision 17465)
@@ -91,6 +91,6 @@
     'cbt_date',
     'jamb_age',
-    'jamb_subjects',
-    'jamb_score',
+    #'jamb_subjects',
+    #'jamb_score',
     #'jamb_reg_number',
     'aggregate')
@@ -130,4 +130,6 @@
                 form_fields = form_fields.omit(field)
             form_fields['notice'].custom_widget = BytesDisplayWidget
+        if self.context.__parent__.application_category == 'rnnurse':
+            form_fields = form_fields.omit('jamb_reg_number', 'jamb_subjects', 'jamb_score', 'course2')
         #form_fields['perm_address'].custom_widget = BytesDisplayWidget
         if not getattr(self.context, 'student_id'):
@@ -165,4 +167,8 @@
             for field in UG_OMIT_PDF_FIELDS:
                 form_fields = form_fields.omit(field)
+        if self.context.__parent__.application_category == 'rnnurse':
+            form_fields = form_fields.omit('jamb_reg_number', 'jamb_subjects', 'jamb_score', 'course2')
+        if self.context.__parent__.application_category == 'ndnurse':
+            form_fields = form_fields.omit('course2')
         if not getattr(self.context, 'student_id'):
             form_fields = form_fields.omit('student_id')
@@ -205,4 +211,8 @@
             for field in UG_OMIT_MANAGE_FIELDS:
                 form_fields = form_fields.omit(field)
+        if self.context.__parent__.application_category == 'rnnurse':
+            form_fields = form_fields.omit('jamb_reg_number', 'jamb_subjects', 'jamb_score', 'course2')
+        if self.context.__parent__.application_category == 'ndnurse':
+            form_fields = form_fields.omit('course2')
         form_fields['student_id'].for_display = True
         form_fields['applicant_id'].for_display = True
@@ -236,4 +246,8 @@
             for field in UG_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)
+        if self.context.__parent__.application_category == 'rnnurse':
+            form_fields = form_fields.omit('jamb_reg_number', 'jamb_subjects', 'jamb_score', 'course2')
+        if self.context.__parent__.application_category == 'ndnurse':
+            form_fields = form_fields.omit('course2')
         form_fields['applicant_id'].for_display = True
         form_fields['reg_number'].for_display = True
Index: main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/interfaces.py
===================================================================
--- main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/interfaces.py	(revision 17460)
+++ main/kofacustom.edocons/trunk/src/kofacustom/edocons/applicants/interfaces.py	(revision 17465)
@@ -194,9 +194,9 @@
         required = True,
         )
-    #course2 = schema.Choice(
-    #    title = _(u'2nd Choice Course of Study'),
-    #    source = AppCatCertificateSource(),
-    #    required = False,
-    #    )
+    course2 = schema.Choice(
+        title = _(u'2nd Choice Course of Study'),
+        source = AppCatCertificateSource(),
+        required = False,
+        )
 
     fst_sit_fname = schema.TextLine(
@@ -684,4 +684,20 @@
         required = True,
         readonly = False,
+        )
+
+    jamb_reg_number = schema.TextLine(
+        title = _(u'JAMB Registration Number'),
+        required = True,
+        constraint=validate_jamb_reg_number,
+        )
+
+    jamb_subjects = schema.Text(
+        title = _(u'Subjects and Scores'),
+        required = True,
+        )
+
+    jamb_score = schema.Int(
+        title = _(u'Total JAMB Score'),
+        required = True,
         )
 
Index: main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/utils.py
===================================================================
--- main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/utils.py	(revision 17460)
+++ main/kofacustom.edocons/trunk/src/kofacustom/edocons/utils/utils.py	(revision 17465)
@@ -23,4 +23,11 @@
     """A collection of methods subject to customization.
     """
+
+    APP_CATS_DICT = {
+        'basic': 'UAS, PUTME, PUDE, PCE, PRENCE',
+        'no': 'No Application',
+        'rnnurse': 'RN Nursing',
+        'ndnurse': 'ND Nursing',
+        }
 
     DEGREES_DICT = {