Index: /main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 17493)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 17494)
@@ -104,5 +104,5 @@
     'matricgown': 'Matriculation Gown Fee',
     'lapel':      'File/Lapel Fee',
-    'lmsplus':    'LMS Plus Fee',
+    '1_lmsplus':  'LMS Plus Fee',
     'nuga':       'NUGA Fee',
     }
@@ -335,5 +335,9 @@
                 for item in sorted_items:
                     try:
-                        item_amt = 100 * int(item[1])
+                        if  item[1].startswith('1_') and student.state == CLEARED:
+                            # first year payment only
+                            item_amt = 100 * int(item.split('_')[1])
+                        else:
+                            item_amt = 100 * int(item[1])
                         if self.context.p_category == 'schoolfee_1' and item[0] == 'tuition':
                             item_amt /= 2
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_12.csv
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_12.csv	(revision 17493)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_12.csv	(revision 17494)
@@ -1,4 +1,4 @@
 code,faculty_code,department_code,tuition,edohis,union,access,sport,library
-CERT1,FAG,ANS,184000,16000,30000,4500,3000,2000
+CERT1,FAG,ANS,184000,16000,30000,4500,3000,100_2000
 BAGRANS,FAG,ANS,35000,16000,1000,4500,3000,1000
 BAGRCRS,FAG,CRS,35000,16000,1000,4500,3000,1000
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_15.csv
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_15.csv	(revision 17493)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_15.csv	(revision 17494)
@@ -1,4 +1,4 @@
 code,faculty_code,department_code,tuition,edohis,union,access,sport,library,nuga
-CERT1,FAG,ANS,184000,16000,30000,4500,3000,1000,1000
+CERT1,FAG,ANS,184000,16000,30000,4500,3000,1000,100_1000
 BAGRANS,FAG,ANS,106700,16000,1000,4500,3000,1000,1000
 BAGRCRS,FAG,CRS,106700,16000,1000,4500,3000,1000,1000
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 17493)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 17494)
@@ -685,4 +685,20 @@
         #    'You must choose a payment which includes additional fees'
         #    in self.browser.contents)
+        configuration_2 = createObject('waeup.SessionConfiguration')
+        configuration_2.academic_session = 2019
+        self.app['configuration'].addSessionConfiguration(configuration_2)
+        self.student.father_name = u'Rudolf'
+        IWorkflowState(self.student).setState('returning')
+        self.browser.open(self.student_path + '/payments')
+        self.browser.getLink("Add current session payment ticket").click()
+        self.browser.getControl(name="form.p_category").value = ['schoolfee_incl']
+        self.browser.getControl("Create ticket").click()
+        self.assertTrue('ticket created' in self.browser.contents)
+        value = self.student['payments'].keys()[1]
+        self.student['payments'][value].p_state = 'paid'
+        self.browser.getLink(value).click()
+        self.assertTrue('Amount Authorized' in self.browser.contents)
+        # It's 1000 less
+        self.assertEqual(self.student['payments'][value].amount_auth, 238500.0)
         return
 
Index: /main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py	(revision 17493)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py	(revision 17494)
@@ -426,5 +426,10 @@
                     additional += int(item)
                 except:
-                    pass
+                    # 100_ indicates first year payment only
+                    if student.state == CLEARED:
+                        try:
+                            additional += int(item.split('_')[1])
+                        except:
+                            pass
             amount = float(schoolfees[0])
             additional -= amount