Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_22.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_22.csv	(revision 17495)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_22.csv	(revision 17496)
@@ -1,94 +1,94 @@
 code,faculty_code,department_code,tuition,edohis,union,access,notebook,sport,library,lmsplus,nuga
-BAGRANS,FAG,ANS,184000,16000,1000,4500,9000,3000,1000,20000,1000
-BAGRCRS,FAG,CRS,184000,16000,1000,4500,9000,3000,1000,20000,1000
-BAGREES,FAG,EES,184000,16000,1000,4500,9000,3000,1000,20000,1000
-BAGRSOS,FAG,SOS,184000,16000,1000,4500,9000,3000,1000,20000,1000
-BAENG,FAT,ENG,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BAFRN,FAT,FRN,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BAHIS,FAT,HIS,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BAISD,FAT,HIS,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BAMAC,FAT,MAC,248250,16000,1000,4500,9000,3000,1000,20000,1000
-BAPHI,FAT,PHI,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BARCS,FAT,RCS,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BARST,FAT,RCS,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BATMA,FAT,TMA,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BSCANA,FBM,ANA,281000,16000,1000,4500,9000,3000,1000,20000,1000
-BMLS,FBM,MLS,554500,16000,1000,4500,9000,3000,1000,20000,1000
-BMLSCHMP,FBM,MLS,554500,16000,1000,4500,9000,3000,1000,20000,1000
-BMLSHBTS,FBM,MLS,554500,16000,1000,4500,9000,3000,1000,20000,1000
-BMLSHIST,FBM,MLS,554500,16000,1000,4500,9000,3000,1000,20000,1000
-BMLSMMCB,FBM,MLS,554500,16000,1000,4500,9000,3000,1000,20000,1000
-BSCNSG,FBM,NSG,666000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCPHS,FBM,PHS,204000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCPYS,FBM,PYS,204000,16000,1000,4500,9000,3000,1000,20000,1000
-MBBS,FCS,MED,786000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDACC,FED,BED,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDOTM,FED,BED,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDSEC,FED,BED,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDBIO,FED,CAI,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDCHM,FED,CAI,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDCSC,FED,CAI,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDENG,FED,CAI,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDFRN,FED,CAI,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDMTH,FED,CAI,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDPHY,FED,CAI,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDPPE,FED,CAI,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDSSE,FED,CAI,214000,16000,1000,4500,9000,3000,1000,20000,1000
-CAI,FED,CAI,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDEDM,FED,EFM,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDHIS,FED,EFM,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDRSE,FED,EFM,214000,16000,1000,4500,9000,3000,1000,20000,1000
-EFM,FED,EFM,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDECO,FED,GAC,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDGAC,FED,GAC,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDGEO,FED,GAC,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDPOL,FED,GAC,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDHED,FED,HKH,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDHKE,FED,HKH,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDPHE,FED,HKH,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCLIS,FED,LIS,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BEDAGR,FED,VTE,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDHECO,FED,VTE,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BEDTEC,FED,VTE,214000,16000,1000,4500,9000,3000,1000,20000,1000
-VTE,FED,VTE,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCARC,FES,ARC,224500,16000,1000,4500,9000,3000,1000,20000,1000
-BSCBLD,FES,BLD,224500,16000,1000,4500,9000,3000,1000,20000,1000
-BFA,FES,FAA,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BFAGRH,FES,FAA,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BFAPNT,FES,FAA,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BFASC,FES,FAA,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BFATD,FES,FAA,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BSCFAA,FES,FAA,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BSCGEM,FES,GEM,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BSCGRP,FES,GEM,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BENGAGE,FET,AGE,312500,16000,1000,4500,9000,3000,1000,20000,1000
-BENGCIE,FET,CIE,312500,16000,1000,4500,9000,3000,1000,20000,1000
-BENGELE,FET,ELE,312500,16000,1000,4500,9000,3000,1000,20000,1000
-BENGIPE,FET,IPE,312500,16000,1000,4500,9000,3000,1000,20000,1000
-BENGMPE,FET,IPE,312500,16000,1000,4500,9000,3000,1000,20000,1000
-BENGPE,FET,IPE,312500,16000,1000,4500,9000,3000,1000,20000,1000
-BENGMEE,FET,MEE,312500,16000,1000,4500,9000,3000,1000,20000,1000
-BENGMME,FET,MME,312500,16000,1000,4500,9000,3000,1000,20000,1000
-BSCBCH,FLS,BCH,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCBOT,FLS,BOT,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCHND,FLS,HND,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCMCB,FLS,MCB,224000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCPSB,FLS,PSB,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCZOO,FLS,ZOO,214000,16000,1000,4500,9000,3000,1000,20000,1000
-LLB,FLW,LAW,657500,16000,1000,4500,9000,3000,1000,20000,1000
-BSCACC,FMS,ACC,312500,16000,1000,4500,9000,3000,1000,20000,1000
-BSCBAF,FMS,BAF,202500,16000,1000,4500,9000,3000,1000,20000,1000
-BSCBUS,FMS,BUS,282500,16000,1000,4500,9000,3000,1000,20000,1000
-BSCPUB,FMS,PUB,282500,16000,1000,4500,9000,3000,1000,20000,1000
-BSCCHM,FPS,CHM,264000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCICH,FPS,CHM,264000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCCSC,FPS,CSC,274500,16000,1000,4500,9000,3000,1000,20000,1000
-BSCIMTH,FPS,MTH,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCMTH,FPS,MTH,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCSTA,FPS,MTH,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCAPHY,FPS,PHY,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCPHY,FPS,PHY,214000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCECO,FSS,ECO,232000,16000,1000,4500,9000,3000,1000,20000,1000
-BSCPOL,FSS,POL,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BSCPSY,FSS,PSY,198250,16000,1000,4500,9000,3000,1000,20000,1000
-BSCSOC,FSS,SOC,198250,16000,1000,4500,9000,3000,1000,20000,1000
+BAGRANS,FAG,ANS,184000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BAGRCRS,FAG,CRS,184000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BAGREES,FAG,EES,184000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BAGRSOS,FAG,SOS,184000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BAENG,FAT,ENG,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BAFRN,FAT,FRN,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BAHIS,FAT,HIS,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BAISD,FAT,HIS,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BAMAC,FAT,MAC,248250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BAPHI,FAT,PHI,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BARCS,FAT,RCS,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BARST,FAT,RCS,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BATMA,FAT,TMA,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCANA,FBM,ANA,281000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BMLS,FBM,MLS,554500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BMLSCHMP,FBM,MLS,554500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BMLSHBTS,FBM,MLS,554500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BMLSHIST,FBM,MLS,554500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BMLSMMCB,FBM,MLS,554500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCNSG,FBM,NSG,666000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCPHS,FBM,PHS,204000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCPYS,FBM,PYS,204000,16000,1000,4500,9000,3000,1000,100_20000,1000
+MBBS,FCS,MED,786000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDACC,FED,BED,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDOTM,FED,BED,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDSEC,FED,BED,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDBIO,FED,CAI,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDCHM,FED,CAI,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDCSC,FED,CAI,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDENG,FED,CAI,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDFRN,FED,CAI,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDMTH,FED,CAI,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDPHY,FED,CAI,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDPPE,FED,CAI,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDSSE,FED,CAI,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+CAI,FED,CAI,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDEDM,FED,EFM,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDHIS,FED,EFM,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDRSE,FED,EFM,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+EFM,FED,EFM,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDECO,FED,GAC,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDGAC,FED,GAC,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDGEO,FED,GAC,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDPOL,FED,GAC,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDHED,FED,HKH,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDHKE,FED,HKH,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDPHE,FED,HKH,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCLIS,FED,LIS,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDAGR,FED,VTE,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDHECO,FED,VTE,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BEDTEC,FED,VTE,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+VTE,FED,VTE,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCARC,FES,ARC,224500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCBLD,FES,BLD,224500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BFA,FES,FAA,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BFAGRH,FES,FAA,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BFAPNT,FES,FAA,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BFASC,FES,FAA,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BFATD,FES,FAA,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCFAA,FES,FAA,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCGEM,FES,GEM,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCGRP,FES,GEM,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BENGAGE,FET,AGE,312500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BENGCIE,FET,CIE,312500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BENGELE,FET,ELE,312500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BENGIPE,FET,IPE,312500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BENGMPE,FET,IPE,312500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BENGPE,FET,IPE,312500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BENGMEE,FET,MEE,312500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BENGMME,FET,MME,312500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCBCH,FLS,BCH,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCBOT,FLS,BOT,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCHND,FLS,HND,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCMCB,FLS,MCB,224000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCPSB,FLS,PSB,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCZOO,FLS,ZOO,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+LLB,FLW,LAW,657500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCACC,FMS,ACC,312500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCBAF,FMS,BAF,202500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCBUS,FMS,BUS,282500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCPUB,FMS,PUB,282500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCCHM,FPS,CHM,264000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCICH,FPS,CHM,264000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCCSC,FPS,CSC,274500,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCIMTH,FPS,MTH,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCMTH,FPS,MTH,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCSTA,FPS,MTH,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCAPHY,FPS,PHY,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCPHY,FPS,PHY,214000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCECO,FSS,ECO,232000,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCPOL,FSS,POL,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCPSY,FSS,PSY,198250,16000,1000,4500,9000,3000,1000,100_20000,1000
+BSCSOC,FSS,SOC,198250,16000,1000,4500,9000,3000,1000,100_20000,1000