Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_12.csv
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_12.csv	(revision 17538)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_12.csv	(revision 17539)
@@ -136,5 +136,5 @@
 MSCAMC,AGR,AEE,120000,56200,300000,112400
 MSCANAPM,AGR,ANS,100000,42700,300000,112400
-MSCANPRM,AGR,ANS,,,300000,112400
+MSCANPRM,AGR,ANS,100000,42700,300000,112400
 MSCANPST,AGR,ANS,100000,42700,300000,112400
 MSCANPSY,AGR,ANS,100000,42700,300000,112400
@@ -387,16 +387,16 @@
 CERHI_SC,CERHI,CERTS,250000,250000,300000,112400
 MNSMCH,CERHI,NUR,250000,250000,300000,112400
-MPHRFH,CERHI,CHT,,,300000,112400
+MPHRFH,CERHI,CHT,250000,250000,300000,112400
 MPNSMCH,CERHI,NUR,250000,250000,300000,112400
-MSCHECO,CERHI,ECN,,,300000,112400
+MSCHECO,CERHI,ECN,250000,250000,300000,112400
 MSCHERCH,CERHI,ECN,250000,250000,300000,112400
-MSCNRH,CERHI,NUR,,,300000,112400
+MSCNRH,CERHI,NUR,250000,250000,300000,112400
 MSCRH,CERHI,OAG,250000,250000,300000,112400
-PGDHERCH,CERHI,ECN,150000,,300000,112400
-PHDHERCH,CERHI,ECN,,,300000,112400
-PHDNRH,CERHI,NUR,,,300000,112400
+PGDHERCH,CERHI,ECN,150000,150000,300000,112400
+PHDHERCH,CERHI,ECN,250000,250000,300000,112400
+PHDNRH,CERHI,NUR,250000,250000,300000,112400
 PHDNSMCH,CERHI,NUR,250000,250000,300000,112400
 PHDRFH,CERHI,CHT,250000,250000,300000,112400
-PHDRH,CERHI,OAG,,,300000,112400
+PHDRH,CERHI,OAG,250000,250000,300000,112400
 MPCFB,CFPDS,FPDS,150000,56200,300000,112400
 PGDFDA,CFPDS,FPDS,100000,56200,300000,112400
@@ -1296,6 +1296,6 @@
 MSCMMP,MGS,BUS,120000,56200,300000,112400
 MSCOPP,MGS,BUS,120000,56200,300000,112400
-PGDBM,MGS,BUS,198500,158200,300000,112400
-PGDBUS,MGS,BUS,198500,158200,300000,112400
+PGDBM,MGS,BUS,100000,33200,300000,112400
+PGDBUS,MGS,BUS,100000,33200,300000,112400
 PHDBBFP,MGS,BNK,150000,56200,300000,112400
 MLDPT,NILS,NILS,0,0,0,0
@@ -1323,5 +1323,5 @@
 PHDPTP,PHA,PHA,150000,56200,300000,112400
 PGDCE,PSC,CSC,100000,56200,300000,112400
-PGDCSC,PSC,CSC,199500,157700,300000,112400
+PGDCSC,PSC,CSC,100000,56200,300000,112400
 MBFEPT,SSC,ECO,120000,56200,300000,112400
 MECOPT,SSC,ECO,120000,56200,300000,112400
@@ -1351,23 +1351,23 @@
 BAGFWM,AGR,FWM,43400,15400,102800,59700
 BAGSOS,AGR,SOS,43400,15400,102800,59700
-BARTAPG,ART,FAA,39900,13400,95800,47700
-BARTAPM,ART,FAA,39900,13400,95800,47700
-BARTCER,ART,FAA,39900,13400,95800,47700
-BARTEDL,ART,LST,39900,13400,95800,47700
-BARTENL,ART,ENL,39900,13400,95800,47700
-BARTFAA,ART,FAA,39900,13400,95800,47700
-BARTFAP,ART,FAA,39900,13400,95800,47700
-BARTFOL,ART,FOL,39900,13400,95800,47700
-BARTHIS,ART,HIS,39900,13400,95800,47700
-BARTIBO,ART,LST,46400,13400,86500,47700
-BARTISD,ART,HIS,39900,13400,95800,47700
-BARTLST,ART,LST,39900,13400,95800,47700
-BARTMAS,ART,MAC,39900,13400,95800,47700
-BARTMUS,ART,THR,39900,13400,95800,47700
-BARTPHL,ART,PHL,39900,13400,95800,47700
-BARTREL,ART,REL,39900,13400,95800,47700
-BARTSCP,ART,FAA,39900,13400,95800,47700
-BARTTHR,ART,THR,39900,13400,95800,47700
-BARTTXT,ART,FAA,39900,13400,95800,47700
+BARTAPG,ART,FAA,39900,12400,95800,47700
+BARTAPM,ART,FAA,39900,12400,95800,47700
+BARTCER,ART,FAA,39900,12400,95800,47700
+BARTEDL,ART,LST,39900,12400,95800,47700
+BARTENL,ART,ENL,39900,12400,95800,47700
+BARTFAA,ART,FAA,39900,12400,95800,47700
+BARTFAP,ART,FAA,39900,12400,95800,47700
+BARTFOL,ART,FOL,39900,12400,95800,47700
+BARTHIS,ART,HIS,39900,12400,95800,47700
+BARTIBO,ART,LST,46400,12400,86500,47700
+BARTISD,ART,HIS,39900,12400,95800,47700
+BARTLST,ART,LST,39900,12400,95800,47700
+BARTMAS,ART,MAC,39900,12400,95800,47700
+BARTMUS,ART,THR,39900,12400,95800,47700
+BARTPHL,ART,PHL,39900,12400,95800,47700
+BARTREL,ART,REL,39900,12400,95800,47700
+BARTSCP,ART,FAA,39900,12400,95800,47700
+BARTTHR,ART,THR,39900,12400,95800,47700
+BARTTXT,ART,FAA,39900,12400,95800,47700
 BMLS,BMS,MLS,43400,15400,102800,59700
 BSCANA,BMS,ANA,43400,15400,102800,59700
@@ -1426,41 +1426,41 @@
 BEDECH_W,EDU,HEK,0,0,0,0
 BEDSPED,EDU,EECP,39900,12400,95800,47700
-BSCAPOL,EDU,ADT,39900,13400,95800,47700
-BSCEDAC,EDU,VTE,39900,13400,95800,47700
+BSCAPOL,EDU,ADT,39900,12400,95800,47700
+BSCEDAC,EDU,VTE,39900,12400,95800,47700
 BSCEDAG,EDU,VTE,43400,15400,95800,47700
 BSCEDB,EDU,CIT,43400,15400,95800,47700
 BSCEDBC,EDU,VTE,39900,15400,95800,47700
-BSCEDBE,EDU,VTE,39900,13400,95800,47700
+BSCEDBE,EDU,VTE,39900,12400,95800,47700
 BSCEDC,EDU,CIT,43400,15400,95800,47700
 BSCEDCO,EDU,CIT,43400,15400,95800,47700
-BSCEDE,EDU,ADT,39900,13400,95800,47700
-BSCEDECHED,EDU,DEM,39900,13400,95800,47700
-BSCEDECO,EDU,DEM,39900,13400,95800,47700
+BSCEDE,EDU,ADT,39900,12400,95800,47700
+BSCEDECHED,EDU,DEM,39900,12400,95800,47700
+BSCEDECO,EDU,DEM,39900,12400,95800,47700
 BSCEDEE,EDU,VTE,43400,15400,95800,47700
-BSCEDEM,EDU,DEM,39900,13400,95800,47700
-BSCEDEMGEO,EDU,DEM,39900,13400,95800,47700
-BSCEDES,EDU,HEK,39900,13400,95800,47700
+BSCEDEM,EDU,DEM,39900,12400,95800,47700
+BSCEDEMGEO,EDU,DEM,39900,12400,95800,47700
+BSCEDES,EDU,HEK,39900,12400,95800,47700
 BSCEDEV,EDU,HSE,43400,15400,95800,47700
-BSCEDG,EDU,ADT,39900,13400,95800,47700
-BSCEDGEO,EDU,DEM,39900,13400,95800,47700
-BSCEDGR,EDU,HEK,39900,13400,95800,47700
+BSCEDG,EDU,ADT,39900,12400,95800,47700
+BSCEDGEO,EDU,DEM,39900,12400,95800,47700
+BSCEDGR,EDU,HEK,39900,12400,95800,47700
 BSCEDHE,EDU,HSE,43400,15400,95800,47700
 BSCEDHK,EDU,HKS,39900,15400,95800,47700
 BSCEDHM,EDU,VTE,43400,15400,95800,47700
 BSCEDIS,EDU,CIT,43400,15400,95800,47700
-BSCEDLB,EDU,DEM,39900,13400,95800,47700
+BSCEDLB,EDU,DEM,39900,12400,95800,47700
 BSCEDM,EDU,CIT,43400,15400,95800,47700
 BSCEDME,EDU,VTE,43400,15400,95800,47700
-BSCEDMECO,EDU,DEM,39900,13400,95800,47700
-BSCEDMPOL,EDU,DEM,39900,13400,95800,47700
+BSCEDMECO,EDU,DEM,39900,12400,95800,47700
+BSCEDMPOL,EDU,DEM,39900,12400,95800,47700
 BSCEDP,EDU,CIT,43400,15400,95800,47700
-BSCEDPE,EDU,HEK,39900,13400,95800,47700
-BSCEDPOL,EDU,DEM,39900,13400,95800,47700
-BSCEDPS,EDU,HEK,39900,13400,95800,47700
+BSCEDPE,EDU,HEK,39900,12400,95800,47700
+BSCEDPOL,EDU,DEM,39900,12400,95800,47700
+BSCEDPS,EDU,HEK,39900,12400,95800,47700
 BSCEDSCM,EDU,HKS,39900,15400,95800,47700
-BSCEDSE,EDU,VTE,39900,13400,95800,47700
+BSCEDSE,EDU,VTE,39900,12400,95800,47700
 BSCEDSHP,EDU,HKS,39900,15400,95800,47700
-BSCEDSOC,EDU,CIT,39900,13400,95800,47700
-BSCEDSS,EDU,HEK,39900,13400,95800,47700
+BSCEDSOC,EDU,CIT,39900,12400,95800,47700
+BSCEDSS,EDU,HEK,39900,12400,95800,47700
 BSCEDTE,EDU,VTE,43400,15400,95800,47700
 BSCEDWB,EDU,VTE,43400,15400,95800,47700
@@ -1529,13 +1529,13 @@
 MBBSMED,MED,MED,43400,15400,102800,59700
 MBBSNDU,MED,MED,43400,15400,102800,59700
-BSCACC,MGS,ACC,39900,13400,95800,47700
-BSCACT,MGS,ACT,39900,13400,95800,47700
-BSCBNK,MGS,BNK,39900,13400,95800,47700
-BSCBUS,MGS,BUS,39900,13400,95800,47700
-BSCENT,MGS,ENT,39900,13400,95800,47700
-BSCINS,MGS,INS,39900,13400,95800,47700
-BSCIRP,MGS,HRM,39900,13400,95800,47700
-BSCMKT,MGS,MKT,39900,13400,95800,47700
-BSCTAX,MGS,ACC,39900,13400,95800,47700
+BSCACC,MGS,ACC,39900,12400,95800,47700
+BSCACT,MGS,ACT,39900,12400,95800,47700
+BSCBNK,MGS,BNK,39900,12400,95800,47700
+BSCBUS,MGS,BUS,39900,12400,95800,47700
+BSCENT,MGS,ENT,39900,12400,95800,47700
+BSCINS,MGS,INS,39900,12400,95800,47700
+BSCIRP,MGS,HRM,39900,12400,95800,47700
+BSCMKT,MGS,MKT,39900,12400,95800,47700
+BSCTAX,MGS,ACC,39900,12400,95800,47700
 BPHARM,PHA,PHA,43400,15400,102800,59700
 PHARMD,PHA,PHA,43400,15400,102800,59700
@@ -1563,12 +1563,12 @@
 BSCPM,SPESSE,SPESSE,43400,15400,102800,59700
 BSCSS,SPESSE,SPESSE,43400,15400,102800,59700
-BSCCRT,SSC,GEO,39900,13400,95800,47700
-BSCECO,SSC,ECO,39900,13400,95800,47700
-BSCGEO,SSC,GEO,39900,13400,95800,47700
-BSCPOL,SSC,POL,39900,13400,95800,47700
-BSCPSY,SSC,SAA,39900,13400,95800,47700
-BSCPUB,SSC,PUB,39900,13400,95800,47700
-BSCSAA,SSC,SAA,39900,13400,95800,47700
-BSCSOW,SSC,SWK,39900,13400,95800,47700
+BSCCRT,SSC,GEO,39900,12400,95800,47700
+BSCECO,SSC,ECO,39900,12400,95800,47700
+BSCGEO,SSC,GEO,39900,12400,95800,47700
+BSCPOL,SSC,POL,39900,12400,95800,47700
+BSCPSY,SSC,SAA,39900,12400,95800,47700
+BSCPUB,SSC,PUB,39900,12400,95800,47700
+BSCSAA,SSC,SAA,39900,12400,95800,47700
+BSCSOW,SSC,SWK,39900,12400,95800,47700
 DVM,VNM,VNM,43400,15400,102800,59700
 BAC,AGR,CRS,73500,31700,98500,59700